# Question

<table><thead><tr><th></th><th width="230.33333333333331"></th><th></th></tr></thead><tbody><tr><td><strong>Field</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>text</code></td><td>String!</td><td>Question text.</td></tr><tr><td><code>createdAt</code></td><td>DateTime!</td><td>Question creation date. <code>YYYY-MM-DDT hh:mm:ssZ</code></td></tr><tr><td><code>updatedAt</code></td><td>DateTime!</td><td>Question last update date. <code>YYYY-MM-DDT hh:mm:ssZ</code></td></tr><tr><td><code>questionType</code></td><td>QuestionType!</td><td>Defines question type.<br>enum QuestionType {<strong>DATE_PICKER</strong>, <strong>DROPDOWN</strong>, <strong>MULTI_SELECT</strong>, <strong>OPEN_NUMBER</strong>, <strong>OPEN_QUESTION</strong>, <strong>OPEN_TEXT</strong>, <strong>SINGLE_SELECT</strong>, <strong>TIME_PICKER</strong>}</td></tr><tr><td><code>profileField</code></td><td>QuestionProfileField</td><td>Questions assigned to profile default fields. enum QuestionProfileField {<strong>ACTIVITY_LEVEL, BIOLOGICAL_SEX, BIRTHDATE, CUSTOM_ATTRIBUTES, FAVORITE_CUISINES, HEIGHT, IS_IMPERIAL, MALNUTRITION_RISK, PROGRAM, RESTRICTIONS, STARTING_WEIGHT, TARGET_WEIGHT, TUBE_FEEDING_ORAL_INTAKE, WEEKLY_WEIGHT_GOAL</strong>}</td></tr><tr><td><code>nextQuestion</code></td><td><a href="https://app.gitbook.com/o/-LwqSh0rNboNaGEQruZQ/s/-LwqSnBDpAb6mFZYLsuB/~/changes/1878/objects/assessments/question">AssessmentQuestion</a></td><td></td></tr><tr><td><code>isInitialQuestion</code></td><td>Boolean!</td><td><strong>True</strong> if the question is defined as starting question, otherwise <strong>False</strong>.</td></tr><tr><td><code>isFinalQuestion</code></td><td>Boolean!</td><td><strong>True</strong> if the question is defined as final question, otherwise <strong>False</strong>.</td></tr><tr><td><code>information</code></td><td>String</td><td>Information text box located at the bottom of the question.</td></tr><tr><td><code>id</code></td><td>ID!</td><td>Id of the question.</td></tr><tr><td><code>htmlElement</code></td><td>FormHtmlElement</td><td>enum FormHtmlElement { <strong>CHECKBOX, INPUT, RADIO_BUTTON, SELECT, TEXTAREA</strong>}</td></tr><tr><td><code>helpText</code></td><td>String</td><td>Help text located after the question text with a smaller font size and lighter color.</td></tr><tr><td><code>canSkip</code></td><td>Boolean!</td><td><strong>True</strong> if the question can be skiped, otherwise <strong>False</strong>.</td></tr><tr><td><code>answers</code></td><td>AssessmentAnswer</td><td>Assessment <a href="https://app.gitbook.com/o/-LwqSh0rNboNaGEQruZQ/s/-LwqSnBDpAb6mFZYLsuB/~/changes/1881/objects/assessments/answer">answer</a>.</td></tr><tr><td><code>answerText</code></td><td>String</td><td>For <strong>OPEN</strong> type of questions.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/assessments/question.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
